<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <link rel="icon" type="image/x-icon" href="{% static 'profile/images/favicon/favicon.ico' %}">


    <title>LOGIN | MERAPI TRIP</title>

    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/bootstrap-icons-1.8.3/bootstrap-icons.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/sb-admin/sb-admin-2.css' %}">
    {% block css %} {% endblock css %}

</head>
<body class="bg-gradient-info" style="min-height: 100vh;">

<div class="container my-auto" style="min-height: 100vh;">
    <div class="row justify-content-center my-auto">
        <div class="col-xl-10 col-lg-12 col-md-9">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    
                    <div class="row">

                        <div class="col-lg-6 d-none d-lg-block">
                            <div  data-tilt style="transform-style: preserve-3d"
                                data-tilt-perspective="300" data-tilt-speed="400" data-tilt-max="25" 
                                class="js-tilt p-5 h-100 bg-info">
                                <div class="p-5">
                                    <img style="transform: translateZ(30px)" src="{% static 'profile/images/logo.png' %}" 
                                        class="rounded mx-auto d-block img-fluid js-tilt" alt="Logo Merapi Trip">
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-lg-6 my-auto">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Reset Password</h1>
                                </div>
                                <form class="user" method="POST">
                                    {% if form.errors %}
                                        {% for error in form.non_field_errors  %}
                                            <div class="alert alert-danger" role="alert">
                                                {{error}}
                                            </div>
                                        {% endfor %}
                                    {% endif %}
                                    {% csrf_token %}
                                    <div class="form-group">
                                        <label for="{{ form.new_password1.id_for_label }}">Password Baru</label>
                                        <input type="password" placeholder="password"
                                            class="form-control {% if form.new_password1.errors %}is-invalid{% endif %}"
                                            name="{{ form.new_password1.name }}"
                                            id="{{ form.new_password1.id_for_label }}" 
                                            maxlength="{{ form.new_password1.field.max_length }}"
                                            minlength="8"
                                            required>
                                        {% if form.new_password1.errors %}
                                            <div class="invalid-feedback">
                                                {{ form.new_password1.errors }}
                                            </div>
                                        {% endif %}
                                    </div>

                                    <div class="form-group">
                                        <label for="{{ form.new_password2.id_for_label }}">Konfirmasi Password</label>
                                        <input type="password" placeholder="Ulangi password"
                                            class="form-control {% if form.new_password2.errors %}is-invalid{% endif %}"
                                            name="{{ form.new_password2.name }}"
                                            id="{{ form.new_password2.id_for_label }}" 
                                            maxlength="{{ form.new_password2.field.max_length }}"
                                            minlength="8"
                                            required>
                                        {% if form.new_password2.errors %}
                                            <div class="invalid-feedback">
                                                {{ form.new_password2.errors }}
                                            </div>
                                        {% endif %}
                                        {{ form.new_password1.field.help_text }}
                                    </div>

                                    <button type="submit" class="btn btn-info btn-user btn-block">
                                        Kirim
                                    </button>
                                </form>
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'profile/js/jquery-3.2.1.min.js' %}"></script>
    <script src="{% static 'profile/js/popper.min.js' %}"></script>
    <script src="{% static 'profile/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'profile/js/sb-admin/sb-admin-2.js' %}"></script>
    <script src="{% static 'profile/js/tilt/tilt.min.js' %}"></script>
    <script>
        $('.js-tilt').tilt({
            glare: true,
            maxGlare: .5,
            scale: 1.05,
        })
    </script>

</body>
</html>

